Subject: Re: [PATCH net] net: stmmac: work around sporadic tx issue on link-up

From: Jakub Kicinski <[email-masked]>
Date: Tue, 23 Aug 2022 16:22:59 -0700

On Sat, 20 Aug 2022 17:20:37 +0200 Heiner Kallweit wrote:
> This is a follow-up to the discussion in [0]. It seems to me that
> at least the IP version used on Amlogic SoC's sometimes has a problem
> if register MAC_CTRL_REG is written whilst the chip is still processing
> a previous write. But that's just a guess.
> Adding a delay between two writes to this register helps, but we can
> also simply omit the offending second write. This patch uses the second
> approach and is based on a suggestion from Qi Duan.
> Benefit of this approach is that we can save few register writes, also
> on not affected chip versions.
> 
> This patch doesn't apply cleanly before the commit marked as fixed.
> There's nothing wrong with this commit.

I don't think this is right, please do your best to identify where
the bug was actually introduced and put that in the Fixes tag.

IIRC this is not the first time you've made this choice so let's
sort this out, we can bring it up with Greg if you would like,
I don't see it clarified in the docs.

My understanding and experience doing backports for my employer is 
that cutting off the Fixes tag at the place patch application fails 
is very counter productive. Better to go too far back and let 
the person maintaining the tree decide if the backport is needed.

> [0] https://www.spinics.net/lists/netdev/msg831526.html
> 
> Fixes: 11059740e616 ("net: pcs: xpcs: convert to phylink_pcs_ops")